Subject: [Isis-wg] Removal of Excess Paths

From: "Ramanan" <[email-masked]>
Date: Thu, 22 Nov 2001 10:46:40 +0530

Hi
Please clarify me regarding the Removal of excess paths.
As per Pg. 15, (Sec. 7.2.7) of ISO 10589 - ver 1992,
~~~~
"When there are more than maximumPathSplits legal paths to a destination,
this set shall be pruned until only maximum-Path Splits remain. The
Intermediate system shall discriminate
based upon:
....
circuit ID: where two or more paths are associated with adjacencies of the
same type, and same neighbour ID, an adjacency with a lower circuit ID is
retained in preference to an adjacency with a higher circuit ID, where
cir-cuit
ID is the value of
· ptPtCircuitID for non-broadcast circuits,
· l1CircuitID for broadcast circuits when running the
Level 1 Decision Process, and
· l2CircuitID for broadcast circuits when running the
Level 2 Decision Process."
~~~~
here I believe isisCircPttoPtCircID (isisCircEntry 22) (Circuit Table MIB
Object) is to be used as the
ptPtCircuitID for non-broadcast circuits to do the removal of excess paths,
...,
(Incidentally this isisCircPttoPtCircID is filled after the negotiation of
the Hello PDUs, hope I'm right here!!!)

BUT,
which MIB object is to be used for the l1CircuitID & l2CircuitID for the
Broadcast Circuits.

correct me if I'm wrong.

Thanks
Regards'
Ramanan

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg